package com.openkm.workflow.decision;

import org.jbpm.graph.exe.ExecutionContext;
import org.jbpm.graph.node.DecisionHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.openkm.bean.form.Input;

public class InvoiceDecision implements DecisionHandler {
	private static final long serialVersionUID = 1L;
	private static Logger log = LoggerFactory.getLogger(InvoiceDecision.class);
	
	@Override
	public String decide(ExecutionContext executionContext) throws Exception {
		log.info("Decision being evaluated");
		Input number = (Input) executionContext.getContextInstance().getVariable("invoice");
		
		if (number != null) {
			int value = Integer.valueOf(number.getValue());
			
			if (value > 1000) {
				log.info("Go to 'review'");
				return "review";
			} else {
				log.info("Go to 'approve'");
				return "approve";
			}
		} else {
			log.info("Go to 'approve'");
			return "approve";
		}
	}
}